#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 primitive-extras
version:              0.10.2.2
visibility:           public
id:                   primitive-extras-0.10.2.2-9bqMQUDNCj46SaMEohuH4O
key:                  primitive-extras-0.10.2.2-9bqMQUDNCj46SaMEohuH4O
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  0617d7275e103b83197638784fb914ae
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.4.8/site-local/primitive-extras-0.10.2.2
library-dirs:         /usr/lib/ghc-9.4.8/site-local/primitive-extras-0.10.2.2
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/primitive-extras-0.10.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.2.2-9bqMQUDNCj46SaMEohuH4O
depends:
    base-4.17.2.1 bytestring-0.11.5.3
    cereal-0.5.8.3-H9MXf6i1TMkEAfnsx4oYbT
    deferred-folds-0.9.18.7-4qmA1WD6xyQ6QYZPDgkHK0
    focus-1.0.3.2-D2plX9Fhlqi106wIERzrit
    foldl-1.4.18-J8RHKx5ibci9kwKMWAxxCV
    list-t-1.0.5.5-2j58Jfx8cx8BOhyzeN4pwd
    primitive-0.8.0.0-1110YmBHzhAERV5HY7EG3e
    primitive-unlifted-2.1.0.0-IHC91Pi1MuWHlUUYPKlIox
    profunctors-5.6.2-HS34HkgQojuB4cqPJ0Eibr
    vector-0.13.2.0-KDCTRjRQ0urK2B6TNAGAn8

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

